TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

CoerceIdeal ( ord^num O, elt-ids^fra/ord^num I ) -> elt-ids^int/ord^num

### Description

<shortdoc> Return the ideal I as an ideal of F or O. </shortdoc>

### Examples

x_R := PolynomialAlgebra( IntegerRing() ); x_x := Generator(x_R, 1); x_O := MaximalOrder(x_x^2 - 18); x_a := Element(x_O, [0,1] ); x_I := Factorization( 3*x_O )[1][1]; x_Ox := PolynomialAlgebra( x_O ); x_x := Generator(x_Ox, 1); x_OO := MaximalOrder( x_x^3 - 27*x_a ); x_II := CoerceIdeal(x_OO, x_I);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack